# Endpoint

## Recover stateful-messages for a sport event

> Request to resend all stateful-messages (BetSettlement, RollbackBetSettlement, BetCancel, UndoBetCancel) for a sport event.

```json
{"openapi":"3.0.3","info":{"title":"Betradar API","version":"1.0.0"},"servers":[{"url":"https://global.api.betradar.com/v1"}],"security":[{"key":[]}],"components":{"securitySchemes":{"key":{"type":"apiKey","in":"header","name":"x-access-token"}}},"paths":{"/{product}/stateful_messages/events/{urn_type}:{id}/initiate_request":{"post":{"summary":"Recover stateful-messages for a sport event","description":"Request to resend all stateful-messages (BetSettlement, RollbackBetSettlement, BetCancel, UndoBetCancel) for a sport event.","operationId":"recoverStatefulEvent","tags":["Odds Recovery"],"parameters":[{"name":"product","description":"Get odds for prematch, live, premium cricket, betpal or virtual sports matches.","in":"path","required":true,"schema":{"type":"string","enum":["pre","liveodds","premium_cricket","betpal","vf","vbl","vto","vdr","vhc","vti","codds","vci","vbi"]},"default":"pre"},{"name":"urn_type","description":"The event type you want to look up. Prefixes beginning with 'v' are for virtual sports.","in":"path","required":true,"schema":{"type":"string","enum":["sr:match","sr:simple_tournament","sr:stage","sr:season","vf:match","vbl:match","vto:match","vdr:stage","vhc:stage","vti:match","vti:tournament","vci:match","vci:tournament","vbi:match","vbi:tournament"]},"default":"sr:match"},{"name":"id","description":"Get stateful-messages for the event ID.","in":"path","required":true,"schema":{"type":"integer"},"default":9047751},{"name":"request_id","description":"Send a snapshotcomplete message with this request ID over the feed when finished with request.","in":"query","required":false,"schema":{"type":"integer"},"default":318},{"name":"node_id","description":"If specified, the node ID will be included in routing key for all recovery messages that belong to this request.","in":"query","required":false,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation"}}}}}}
```
